Summary:	Small, easy to use Database Connection Pool Library
Name:		libzdb
Version:	3.0
Release:	4
License:	GPL v3+ and MIT
Group:		Libraries
Source0:	http://www.tildeslash.com/libzdb/dist/%{name}-%{version}.tar.gz
# Source0-md5:	3bb9efff10a1f3ebc5b76c1055c48635
URL:		http://www.tildeslash.com/libzdb/
BuildRequires:	flex
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig
BuildRequires:	postgresql-devel >= 8
BuildRequires:	sqlite3-devel >= 3.6.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
The Zild C Database Library implements a small, fast, and easy to use
database API with thread-safe connection pooling. The library can
connect transparently to multiple database systems, has zero
configuration and connections are specified via a standard URL scheme.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains libraries and header files for developing
applications that use %{name}.

%prep
%setup -q

%build
%configure \
	--enable-protected \
	--enable-sqliteunlock \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libzdb.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES COPYING README
%attr(755,root,root) %{_libdir}/libzdb.so.*.*.*
%ghost %{_libdir}/libzdb.so.11

%files devel
%defattr(644,root,root,755)
%doc doc/api-docs
%{_includedir}/zdb
%{_libdir}/libzdb.so
%{_pkgconfigdir}/zdb.pc
%changelog
* Fri Sep 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libzdb.git;a=log;h=master

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> dd97434
- rebuild with openssl 3.0.0

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c7a3607
- release 3 (by relup.sh)

* Tue Mar 06 2018 Jan Rękorajski <baggins@pld-linux.org> 6079ae6
- rebuild with mysql 5.7
- release 2 (by relup.sh)

* Tue Jun 07 2016 Elan Ruusamäe <glen@delfi.ee> da5e86e
- BR cleanup

* Tue Jun 07 2016 Elan Ruusamäe <glen@delfi.ee> d829f5d
- new, version 3.0

